Subject: Re: [spring] [Idr] Comments: Route Origin Community in SR Policy(draft-ietf-spring-segment-routing-policy)

From: "Ketan Talaulikar (ketant)" <[email-masked]>
Date: Mon, 18 May 2020 11:59:41 +0000

Hi Robert,

You are right that the “Originator” is not used in BGP best path and is just for a tie-breaking logic in SRTE between paths from different protocols and controllers. I doubt if there is a functional issue here.

I thought that Chengli was bringing in some new/different requirement for the “Originator” field for some deployment design. I haven’t seen a response/clarification from him as yet, and so perhaps I misunderstood him in which case we are ok here.

Thanks,
Ketan

From: Robert Raszuk <[email-masked]>
Sent: 30 April 2020 14:46
To: Ketan Talaulikar (ketant) <[email-masked]>
Cc: Chengli (Cheng Li) <[email-masked]>; [email-masked]; idr wg <[email-masked]>; SPRING WG <[email-masked]>; Fangsheng <[email-masked]>; stefano previdi <[email-masked]>
Subject: Re: [Idr] Comments: Route Origin Community in SR Policy(draft-ietf-spring-segment-routing-policy)

Hi Chengli and Ketan,

Well I think (perhaps to your surprise) the current text is actually correct.

See the overall idea of section 2.4 is not to define the real source of the candidate path. That is done in section 2.5 The idea here is to keep multiple *paths or versions* of the candidate paths in the local system uniquely.

See if you continue reading section 2.6 demystifies the real objective:

   The tuple <Protocol-Origin, originator, discriminator> uniquely

   identifies a candidate path.

So the real originator is encoded in discriminator and here it just means the peer candidate path was

received from. And if you read on this entire exercise only servers best path selection as described in section 2.9.

.... the following order until only one valid best path is selected:

   1.  Higher value of Protocol-Origin is selected.

   2.  If specified by configuration, prefer the existing installed

       path.

   3.  Lower value of originator is selected.

   4.  Finally, the higher value of discriminator is selected.

+

      The originator allows an operator to have multiple redundant

      controllers and still maintain a deterministic behaviour over

      which of them are preferred even if they are providing the same

      candidate paths for the same SR policies to the headend.

Thx,
R.

On Thu, Apr 30, 2020 at 10:46 AM Ketan Talaulikar (ketant) <ketant=[email-masked]<mailto:[email-masked]>> wrote:
Hi Cheng,

I assume you are recommending the use of Route Origin Extended Community (https://tools.ietf.org/html/rfc4360#section-5) for conveying the “Originator” when the SR Policy update is propagated over eBGP sessions via other eBGP/iBGP sessions instead of direct peering with the headend.

I believe it does address the scenario you describe given that it is expected that SR Policy propagation via BGP is happening within a single administrative domain even if it comprises of multiple ASes.

Also copying the IDR WG for inputs since this would likely need to be updated in draft-ietf-idr-segment-routing-te-policy.

Thanks,
Ketan

From: spring <[email-masked]<mailto:[email-masked]>> On Behalf Of Chengli (Cheng Li)
Sent: 30 April 2020 07:34
To: [email-masked]<mailto:[email-masked]>
Cc: SPRING WG <[email-masked]<mailto:[email-masked]>>; huruizhao <[email-masked]<mailto:[email-masked]>>; Fangsheng <[email-masked]<mailto:[email-masked]>>
Subject: [spring] Comments: Route Origin Community in SR Policy(draft-ietf-spring-segment-routing-policy)

Hi authors,

In section 2.4 of [draft-ietf-spring-segment-routing-policy-06], introduced how the node-address of "Originator of CP(Candidate Path)" is generated when the Protocol-Origin is BGP. It says:
    “Protocol-Origin is BGP SR Policy, it is provided by the BGP component on the headend and is:
     o  the BGP Router ID and ASN of the node/controller signalling the candidate path when it has a BGP session to the headend, OR
     o  the BGP Router ID of the eBGP peer signalling the candidate path  along with ASN of origin when the signalling is done via one or  more intermediate eBGP routers, OR
     o  the BGP Originator ID [RFC4456] and the ASN of the node/controller  when the signalling is done via one or more route-reflectors over  iBGP session.”

In the operator's network, in order to reduce the number of  BGP sessions in controller and achieve scalability, the controller only establishes eBGP peer with the RR. And the RR establishes iBGP peers with the headends. As mentioned in the draft, the headend will use the RR's Router ID as the CP's node-address (the signaling is done via route transmission from RR to the headend instead of route reflection).  The headend needs to carry the CP's key when reporting the SR Policy status to the controller through BGP-LS. And there is a problem that the controller may not recognize the key because the node-address is generated by the RR node.

For network robustness, two or more RRs are usually deployed. This will introduce another problem.. When the same CP advertised by the controller is delivered to the headend through different RRs, the headend cannot distinguish whether it is the same CP because the node-address in the CPs' key  comes from different RRs.

To solve these problems,  We recommend carrying the Route Origin Community (defined in RFC 4360) directly when the controller advertises BGP routes.  In this way, the key  of the CP is determined by the controller and will not change during the advertisement of BGP routes.

Thanks,
Cheng
_______________________________________________
Idr mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/idr

---

From: Fangsheng <[email-masked]>
Date: Wed, 20 May 2020 12:32:17 +0000

Hi Robert,
Take the following picture as an example, I think you can understand our problem more easily.
The controller needs to notify the headend CSG1 through BGP SR Policy to create a candidate path of SR Policy. This BGP SR Policy route will be advertised to CSG1 through RR1 and RR2.
According to the definition in draft, the key of a candidate path is <Protocol-Origin, originator, discriminator>, where originator = <ASN, node-address>, so a complete candidate path key is <Protocol-Origin, ASN, node-address , discriminator>.
However, in this specific example, the node-address is generated by CSG1, and because CSG1 receives BGP SR Policy routes from RR1 and RR2, respectively, CSG1 will get two different node-addresses. CSG1 thinks that it is necessary to create two  candidate paths, and the controller does not know what the node-address CSG1 will eventually generate. Maybe:
Candidate path 1’ key:  <BGP,RR1’s ASN, RR1’ BGP Router ID, discriminator1>
Candidate path 2’ key:  <BGP,RR2’s ASN, RR2’ BGP Router ID, discriminator2>
The process described above will result in a waste of redundant candidate paths on CSG1,
At the same time, when CSG1 needs to announce the SR Policy information to the controller through BGP LS, it needs to carry the keys of the candidate path in it, and the controller cannot recognize these keys.

To solve these problems,  We recommend carrying the Route Origin Community (defined in RFC 4360) directly when the controller advertises BGP routes.
In this way, the key  of the CP is determined by the controller and will not change during the advertisement of BGP routes.

发件人: Ketan Talaulikar (ketant) [mailto:[email-masked]]
发送时间: 2020年5月18日 20:00
收件人: Robert Raszuk <[email-masked]>
抄送: Chengli (Cheng Li) <[email-masked]>; [email-masked]; idr wg <[email-masked]>; SPRING WG <[email-masked]>; Fangsheng <[email-masked]>; stefano previdi <[email-masked]>
主题: RE: [Idr] Comments: Route Origin Community in SR Policy(draft-ietf-spring-segment-routing-policy)

Hi Robert,

Thanks,
Ketan

From: Robert Raszuk <[email-masked]<mailto:[email-masked]>>
Sent: 30 April 2020 14:46
To: Ketan Talaulikar (ketant) <[email-masked]<mailto:[email-masked]>>
Cc: Chengli (Cheng Li) <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; idr wg <[email-masked]<mailto:[email-masked]>>; SPRING WG <[email-masked]<mailto:[email-masked]>>; Fangsheng <[email-masked]<mailto:[email-masked]>>; stefano previdi <[email-masked]<mailto:[email-masked]>>
Subject: Re: [Idr] Comments: Route Origin Community in SR Policy(draft-ietf-spring-segment-routing-policy)

Hi Chengli and Ketan,

       path.

+

Thx,
R.

Thanks,
Ketan

Hi authors,

Thanks,
Cheng

---

From: Robert Raszuk <[email-masked]>
Date: Wed, 20 May 2020 14:58:56 +0200

Hi,

> the node-address is generated by CSG1

I don't think CSG1 needs to "generate" anything. Peers which send you
particular policy are well known at CSG1.

> The process described above will result in a waste of redundant candidate
paths on CSG1,

Well what you call "waste" I call redundancy. Sure keeping extra paths
requires some cost, but building redundancy in control plane pays off.

Thx,
R.

On Wed, May 20, 2020 at 2:32 PM Fangsheng <[email-masked]> wrote:

> The controller needs to notify the headend CSG1 through BGP SR Policy to
> create a candidate path of SR Policy. This BGP SR Policy route will be
> advertised to CSG1 through RR1 and RR2.
>
> According to the definition in draft, the key of a candidate path is
> <Protocol-Origin, originator, discriminator>, where originator = <ASN,
> node-address>, so a complete candidate path key is <Protocol-Origin, ASN,
> node-address , discriminator>.
>
> However, in this specific example, the node-address is generated by CSG1,
> and because CSG1 receives BGP SR Policy routes from RR1 and RR2,
> respectively, CSG1 will get two different node-addresses. CSG1 thinks that
> it is necessary to create two  candidate paths, and the controller does not
> know what the node-address CSG1 will eventually generate. Maybe:
>
> Candidate path 1’ key:  <*BGP,RR1’s ASN, RR1’ BGP Router ID,
> discriminator1*>
>
> Candidate path 2’ key:  <*BGP,RR2’s ASN, RR2’ BGP Router ID,
> discriminator2*>
>
> At the same time, when CSG1 needs to announce the SR Policy information to
> the controller through BGP LS, it needs to carry the keys of the candidate
> path in it, and the controller cannot recognize these keys.
>
>
>
>
>
>
>
> To solve these problems,  We recommend carrying the Route Origin Community
> (defined in RFC 4360) directly when the controller advertises BGP routes.
>
> In this way, the key  of the CP is determined by the controller and will
> not change during the advertisement of BGP routes.
>
>
>
>
>
>
>
>
>
> *发件人:* Ketan Talaulikar (ketant) [mailto:[email-masked]]
> *发送时间:* 2020年5月18日 20:00
> *收件人:* Robert Raszuk <[email-masked]>
> *抄送:* Chengli (Cheng Li) <[email-masked]>;
> [email-masked]; idr wg <[email-masked]>;
> SPRING WG <[email-masked]>; Fangsheng <[email-masked]>; stefano
> previdi <[email-masked]>
> *主题:* RE: [Idr] Comments: Route Origin Community in SR
> Policy(draft-ietf-spring-segment-routing-policy)
>
>
>
> Hi Robert,
>
>
>
> You are right that the “Originator” is not used in BGP best path and is
> just for a tie-breaking logic in SRTE between paths from different
> protocols and controllers. I doubt if there is a functional issue here.
>
>
>
> I thought that Chengli was bringing in some new/different requirement for
> the “Originator” field for some deployment design. I haven’t seen a
> response/clarification from him as yet, and so perhaps I misunderstood him
> in which case we are ok here.
>
>
>
> Thanks,
>
> Ketan
>
>
>
> *From:* Robert Raszuk <[email-masked]>
> *Sent:* 30 April 2020 14:46
> *To:* Ketan Talaulikar (ketant) <[email-masked]>
> *Cc:* Chengli (Cheng Li) <[email-masked]>;
> [email-masked]; idr wg <[email-masked]>;
> SPRING WG <[email-masked]>; Fangsheng <[email-masked]>; stefano
> previdi <[email-masked]>
> *Subject:* Re: [Idr] Comments: Route Origin Community in SR
> Policy(draft-ietf-spring-segment-routing-policy)
>
>
>
> Hi Chengli and Ketan,
>
>
>
> See the overall idea of section 2.4 is not to define the real source of
> the candidate path. That is done in section 2.5 The idea here is to keep
> multiple *paths or versions* of the candidate paths in the local system
> uniquely.
>
>
>
> On Thu, Apr 30, 2020 at 10:46 AM Ketan Talaulikar (ketant) <ketant=
> [email-masked]> wrote:
>
> Hi Cheng,
>
>
>
> I assume you are recommending the use of Route Origin Extended Community (
> https://tools.ietf.org/html/rfc4360#section-5) for conveying the
> “Originator” when the SR Policy update is propagated over eBGP sessions via
> other eBGP/iBGP sessions instead of direct peering with the headend.
>
>
>
> I believe it does address the scenario you describe given that it is
> expected that SR Policy propagation via BGP is happening within a single
> administrative domain even if it comprises of multiple ASes.
>
>
>
> Also copying the IDR WG for inputs since this would likely need to be
> updated in draft-ietf-idr-segment-routing-te-policy.
>
>
>
> Thanks,
>
> Ketan
>
>
>
> *From:* spring <[email-masked]> *On Behalf Of *Chengli (Cheng Li)
> *Sent:* 30 April 2020 07:34
> *To:* [email-masked]
> *Cc:* SPRING WG <[email-masked]>; huruizhao <[email-masked]>;
> Fangsheng <[email-masked]>
> *Subject:* [spring] Comments: Route Origin Community in SR
> Policy(draft-ietf-spring-segment-routing-policy)
>
>
>
> Hi authors,
>
>
>
> In section 2.4 of [draft-ietf-spring-segment-routing-policy-06],
> introduced how the node-address of "Originator of CP(Candidate Path)" is
> generated when the Protocol-Origin is BGP. It says:
>
>      o  the BGP Router ID and ASN of the node/controller signalling the
> candidate path when it has a BGP session to the headend, OR
>
>      o  the BGP Router ID of the eBGP peer signalling the candidate path
> along with ASN of origin when the signalling is done via one or  more
> intermediate eBGP routers, OR
>
>      o  the BGP Originator ID [RFC4456] and the ASN of the
> node/controller  when the signalling is done via one or more
> route-reflectors over  iBGP session.”
>
>
>
> In the operator's network, in order to reduce the number of  BGP sessions
> in controller and achieve scalability, the controller only establishes eBGP
> peer with the RR. And the RR establishes iBGP peers with the headends. As
> mentioned in the draft, the headend will use the RR's Router ID as the CP's
> node-address (the signaling is done via route transmission from RR to the
> headend instead of route reflection).  The headend needs to carry the CP's
> key when reporting the SR Policy status to the controller through BGP-LS.
> And there is a problem that the controller may not recognize the key
> because the node-address is generated by the RR node.
>
>
>
> For network robustness, two or more RRs are usually deployed. This will
> introduce another problem.. When the same CP advertised by the controller
> is delivered to the headend through different RRs, the headend cannot
> distinguish whether it is the same CP because the node-address in the CPs'
> key  comes from different RRs.
>
>
>
> To solve these problems,  We recommend carrying the Route Origin Community
> (defined in RFC 4360) directly when the controller advertises BGP routes.
> In this way, the key  of the CP is determined by the controller and will
> not change during the advertisement of BGP routes.
>
>
>
> Thanks,
>
> Cheng
>
> [email-masked]

---

From: Fangsheng <[email-masked]>
Date: Wed, 20 May 2020 14:03:23 +0000

Hi，

I don't think CSG1 needs to "generate" anything. Peers which send you particular policy are well known at CSG1.

è Yes, The word “generate” is indeed inaccurate, I mean that CSG1 finalizes the key of the candidate path, not the controller. For example, when CSG1 needs to notify the controller of the traffic statistics of each segment list, the controller cannot recognize the key of the candidate path to which these segment lists belong.

Well what you call "waste" I call redundancy. Sure keeping extra paths requires some cost, but building redundancy in control plane pays off.

è I think it is enough to keep the route redundant in the BGP SR Policy address family, but for the SR Policy component, because the keys of the two candidata paths are different, it does not even know that these two paths are redundant

Thx

From: Robert Raszuk [mailto:[email-masked]]
Sent: Wednesday, May 20, 2020 8:59 PM
To: Fangsheng <[email-masked]>
Cc: Ketan Talaulikar (ketant) <[email-masked]>; Chengli (Cheng Li) <[email-masked]>; [email-masked]; idr wg <[email-masked]>; SPRING WG <[email-masked]>; stefano previdi <[email-masked]>; Yangang <[email-masked]>
Subject: Re: [Idr] Comments: Route Origin Community in SR Policy(draft-ietf-spring-segment-routing-policy)

Hi,

> the node-address is generated by CSG1

I don't think CSG1 needs to "generate" anything. Peers which send you particular policy are well known at CSG1.

> The process described above will result in a waste of redundant candidate paths on CSG1,

Well what you call "waste" I call redundancy. Sure keeping extra paths requires some cost, but building redundancy in control plane pays off.

Thx,
R.

On Wed, May 20, 2020 at 2:32 PM Fangsheng <[email-masked]<mailto:[email-masked]>> wrote:
Hi Robert,

发件人: Ketan Talaulikar (ketant) [mailto:[email-masked]<mailto:[email-masked]>]
发送时间: 2020年5月18日 20:00
收件人: Robert Raszuk <[email-masked]<mailto:[email-masked]>>
抄送: Chengli (Cheng Li) <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; idr wg <[email-masked]<mailto:[email-masked]>>; SPRING WG <[email-masked]<mailto:[email-masked]>>; Fangsheng <[email-masked]<mailto:[email-masked]>>; stefano previdi <[email-masked]<mailto:[email-masked]>>
主题: RE: [Idr] Comments: Route Origin Community in SR Policy(draft-ietf-spring-segment-routing-policy)

Hi Robert,

Thanks,
Ketan

Hi Chengli and Ketan,

       path.

+

Thx,
R.

Thanks,
Ketan

Hi authors,

Thanks,
Cheng

---

From: "Ketan Talaulikar (ketant)" <[email-masked]>
Date: Wed, 20 May 2020 17:58:37 +0000

Hi Fangsheng,

The BGP best-path run at CSG1 will pick one of the two paths from the two RRs since it is the same NLRI from two neighbors. So the best path is what would be given by BGP to the SR Policy component. The other path is to provide/offer redundancy at the BGP level as Robert mentioned.

See example 1 in https://tools.ietf.org/html/draft-filsfils-spring-sr-policy-considerations-05#section-4

The only aspect that I understood or misunderstood was that you wished the “originator” that was reported to SR Policy component to be the controller instead of either RR1 or RR2 in the current case. Or at least I got the impression that was what Chengli was trying to say but I may be wrong.

As such, it is not a functional issue per se. The “originator” is used only for the tiebreaker between CPs in the SR Policy component and nothing else.

Thanks,
Ketan

From: Fangsheng <[email-masked]>
Sent: 20 May 2020 19:33
To: Robert Raszuk <[email-masked]>
Cc: Ketan Talaulikar (ketant) <[email-masked]>; Chengli (Cheng Li) <[email-masked]>; [email-masked]; idr wg <[email-masked]>; SPRING WG <[email-masked]>; stefano previdi <[email-masked]>; Yangang <[email-masked]>
Subject: RE: [Idr] Comments: Route Origin Community in SR Policy(draft-ietf-spring-segment-routing-policy)

Hi，

Thx

From: Robert Raszuk [mailto:[email-masked]]
Sent: Wednesday, May 20, 2020 8:59 PM
To: Fangsheng <[email-masked]<mailto:[email-masked]>>
Cc: Ketan Talaulikar (ketant) <[email-masked]<mailto:[email-masked]>>; Chengli (Cheng Li) <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; idr wg <[email-masked]<mailto:[email-masked]>>; SPRING WG <[email-masked]<mailto:[email-masked]>>; stefano previdi <[email-masked]<mailto:[email-masked]>>; Yangang <[email-masked]<mailto:[email-masked]>>
Subject: Re: [Idr] Comments: Route Origin Community in SR Policy(draft-ietf-spring-segment-routing-policy)

Hi,

Thx,
R.

Hi Robert,

Thanks,
Ketan

Hi Chengli and Ketan,

       path.

+

Thx,
R.

Thanks,
Ketan

Hi authors,

Thanks,
Cheng

---

From: Fangsheng <[email-masked]>
Date: Thu, 21 May 2020 10:01:01 +0000

Hi Ketan Talaulikar,

è  Oh Yes, you are right, I made a mistake, it is redundancy at the BGP level

But the core problem is how to define a key for a candidate path, this key can be consistent between CSG1’s SR Policy component and the controller.
I think the key is <Protocol-Origin, ASN, node-address , discriminator>, but I guess you mean the key should be  <Protocol-Origin, discriminator>?

you wished the “originator” that was reported to SR Policy component to be the controller instead of either RR1 or RR2 in the current case

è Yes, because I think for both the SR Policy component and controller  the candidate path key should be <Protocol-Origin, ASN, node-address , discriminator> , so I wish the “originator” that was reported to SR Policy component in any case.

We know that a candidate path key only needs to ensure that it is unique within an SR Policy, so when discussing the candidate path key from a network perspective, we no longer emphasize the SR Policy key. Let's take a look at the standards related to SR Policy:

One BGP SR Policy route for candidate path, the key contains just <Distinguisher> which means <discriminator>.
https://datatracker.ietf.org/doc/draft-ietf-idr-segment-routing-te-policy/?include_text=1

One BGP LS route for candidate path, the key contains <Protocol-Origin, ASN, node-address , discriminator>.
https://datatracker.ietf.org/doc/draft-ietf-idr-te-lsp-distribution/?include_text=1

PCEP TLV for candidate path, the key contains <Protocol-Origin, ASN, node-address , discriminator>
https://datatracker.ietf.org/doc/draft-barth-pce-segment-routing-policy-cp/?include_text=1

YANG for candidate path, the key contains <Protocol-Origin, ASN, node-address , discriminator>
https://datatracker.ietf.org/doc/html/draft-raza-spring-sr-policy-yang-02

According to this information, in order to uniquely identify a candidate path in the network, we need its key to be stable and unique, so the <Originator> is best determined by the producer and can be transmitted with the protocol message.
We recommend carrying the Route Origin Community (defined in RFC 4360) directly when the controller advertises BGP routes.  In this way, the key  of the CP is determined by the controller and will not change during the advertisement of BGP routes.

In addition,  in my case, CSG1 cannot receive BGP SR Policy routes from RR1 and RR2 at the same time, therefore, it is possible to receive the route from RR1 first, the SR Policy component creates a candidate path, and then receives the route from RR2. BGP decides to prefer this new route. For the SR Policy component, the Originator follows A change has occurred, so a switch between paths will be performed.

From: Ketan Talaulikar (ketant) [mailto:[email-masked]]
Sent: Thursday, May 21, 2020 1:59 AM
To: Fangsheng <[email-masked]>; Robert Raszuk <[email-masked]>
Cc: Chengli (Cheng Li) <[email-masked]>; [email-masked]; idr wg <[email-masked]>; SPRING WG <[email-masked]>; stefano previdi <[email-masked]>; Yangang <[email-masked]>
Subject: RE: [Idr] Comments: Route Origin Community in SR Policy(draft-ietf-spring-segment-routing-policy)

Hi Fangsheng,

Thanks,
Ketan

From: Fangsheng <[email-masked]<mailto:[email-masked]>>
Sent: 20 May 2020 19:33
To: Robert Raszuk <[email-masked]<mailto:[email-masked]>>
Cc: Ketan Talaulikar (ketant) <[email-masked]<mailto:[email-masked]>>; Chengli (Cheng Li) <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; idr wg <[email-masked]<mailto:[email-masked]>>; SPRING WG <[email-masked]<mailto:[email-masked]>>; stefano previdi <[email-masked]<mailto:[email-masked]>>; Yangang <[email-masked]<mailto:[email-masked]>>
Subject: RE: [Idr] Comments: Route Origin Community in SR Policy(draft-ietf-spring-segment-routing-policy)

Hi，

Thx

Hi,

Thx,
R.

Hi Robert,

Thanks,
Ketan

Hi Chengli and Ketan,

       path.

+

Thx,
R.

Thanks,
Ketan

Hi authors,

Thanks,
Cheng

---

From: "Aijun Wang" <[email-masked]>
Date: Thu, 21 May 2020 18:55:14 +0800

Hi, Fangsheng and Ketan:

My understanding is that the CSG1 in your scenario will not report the SR policy information directly to the controller. Such information will be reported via two steps:

1) CSG1(headend) reports such information to RR1/RR2 via BGP-LS, with the originator information set as node address of RR1 or RR2

2) RR1/RR2 regenerates the BGP-LS information, with the originator information set as controller’s address.

Then the controller can correlate the SR policy CP from RR1 or RR2 into one?

Am I right?

Best Regards.

Aijun Wang

China Telecom

发件人: [email-masked] [mailto:[email-masked]] 代表 Fangsheng
发送时间: 2020年5月21日 18:01
收件人: Ketan Talaulikar (ketant); Robert Raszuk
抄送: idr wg; SPRING WG; stefano previdi; Yangang; [email-masked]; Chengli (Cheng Li)
主题: Re: [spring] [Idr] Comments: Route Origin Community in SR Policy(draft-ietf-spring-segment-routing-policy)

Hi Ketan Talaulikar,

 

 

 

 

 

 

Hi Fangsheng,

Thanks,

Ketan

Hi，

 

 

Thx

Hi,

Thx,
R.

 

Hi Robert,

 

 

Hi Robert,

Thanks,

Ketan

Hi Chengli and Ketan,

 

 

+

Thx,
R.

On Thu, Apr 30, 2020 at 10:46 AM Ketan Talaulikar (ketant) <ketant=[email-masked]> wrote:

Hi Cheng,

Thanks,

Ketan

From: spring <[email-masked]> On Behalf Of Chengli (Cheng Li)
Sent: 30 April 2020 07:34
To: [email-masked]
Cc: SPRING WG <[email-masked]>; huruizhao <[email-masked]>; Fangsheng <[email-masked]>
Subject: [spring] Comments: Route Origin Community in SR Policy(draft-ietf-spring-segment-routing-policy)

Hi authors,

Thanks,

Cheng

---

From: "Ketan Talaulikar (ketant)" <[email-masked]>
Date: Thu, 21 May 2020 11:46:49 +0000

Hi Fangsheng,

Please check inline below.

From: Fangsheng <[email-masked]>
Sent: 21 May 2020 15:31
To: Ketan Talaulikar (ketant) <[email-masked]>; Robert Raszuk <[email-masked]>
Cc: Chengli (Cheng Li) <[email-masked]>; [email-masked]; idr wg <[email-masked]>; SPRING WG <[email-masked]>; stefano previdi <[email-masked]>; Yangang <[email-masked]>
Subject: RE: [Idr] Comments: Route Origin Community in SR Policy(draft-ietf-spring-segment-routing-policy)

Hi Ketan Talaulikar,

But the core problem is how to define a key for a candidate path, this key can be consistent between CSG1’s SR Policy component and the controller.
I think the key is <Protocol-Origin, ASN, node-address , discriminator>, but I guess you mean the key should be  <Protocol-Origin, discriminator>?
[KT] I did not mean that. The identification of CP on the SRTE headend has to as https://tools.ietf.org/html/draft-ietf-spring-segment-routing-policy-07#section-2.6

è Yes, because I think for both the SR Policy component and controller  the candidate path key should be <Protocol-Origin, ASN, node-address , discriminator> , so I wish the “originator” that was reported to SR Policy component in any case.
[KT] OK. This is what I understood Chengli was talking about as well.

We know that a candidate path key only needs to ensure that it is unique within an SR Policy, so when discussing the candidate path key from a network perspective, we no longer emphasize the SR Policy key.
[KT] This is not correct. The CP is within the SR Policy and so the SR Policy key is required.

Let's take a look at the standards related to SR Policy:

According to this information, in order to uniquely identify a candidate path in the network, we need its key to be stable and unique, so the <Originator> is best determined by the producer and can be transmitted with the protocol message.
We recommend carrying the Route Origin Community (defined in RFC 4360) directly when the controller advertises BGP routes.  In this way, the key  of the CP is determined by the controller and will not change during the advertisement of BGP routes.
[KT] This is possible. Perhaps it is better if this topic is discussed in draft-ietf-idr-segment-routing-te-policy since it is BGP protocol encoding related than draft-ietf-spring-segment-routing-policy.

Thanks,
Ketan

From: Ketan Talaulikar (ketant) [mailto:[email-masked]]
Sent: Thursday, May 21, 2020 1:59 AM
To: Fangsheng <[email-masked]<mailto:[email-masked]>>; Robert Raszuk <[email-masked]<mailto:[email-masked]>>
Cc: Chengli (Cheng Li) <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; idr wg <[email-masked]<mailto:[email-masked]>>; SPRING WG <[email-masked]<mailto:[email-masked]>>; stefano previdi <[email-masked]<mailto:[email-masked]>>; Yangang <[email-masked]<mailto:[email-masked]>>
Subject: RE: [Idr] Comments: Route Origin Community in SR Policy(draft-ietf-spring-segment-routing-policy)

Hi Fangsheng,

Thanks,
Ketan

Hi，

Thx

Hi,

Thx,
R.

Hi Robert,

Thanks,
Ketan

Hi Chengli and Ketan,

       path.

+

Thx,
R.

Thanks,
Ketan

Hi authors,

Thanks,
Cheng

---

From: "Ketan Talaulikar (ketant)" <[email-masked]>
Date: Thu, 21 May 2020 11:49:40 +0000

Hi Aijun,

Please check inline

From: Aijun Wang <[email-masked]>
Sent: 21 May 2020 16:25
To: 'Fangsheng' <[email-masked]>; Ketan Talaulikar (ketant) <[email-masked]>; 'Robert Raszuk' <[email-masked]>
Cc: 'idr wg' <[email-masked]>; 'SPRING WG' <[email-masked]>; 'stefano previdi' <[email-masked]>; 'Yangang' <[email-masked]>; [email-masked]; 'Chengli (Cheng Li)' <[email-masked]>
Subject: 答复: [spring] [Idr] Comments: Route Origin Community in SR Policy(draft-ietf-spring-segment-routing-policy)

Hi, Fangsheng and Ketan:

My understanding is that the CSG1 in your scenario will not report the SR policy information directly to the controller. Such information will be reported via two steps:
1) CSG1(headend) reports such information to RR1/RR2 via BGP-LS, with the originator information set as node address of RR1 or RR2
2) RR1/RR2 regenerates the BGP-LS information, with the originator information set as controller’s address.
[KT] Not sure what you mean by “regenerates” here. RRs normally just propagate information and do not modify it without policy. Even with policy knobs, the originator info is part of the TE Policy NLRI in BGP-LS and so cannot be changed.

Thanks,
Ketan

Am I right?

Best Regards.

Aijun Wang
China Telecom

发件人: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]] 代表 Fangsheng
发送时间: 2020年5月21日 18:01
收件人: Ketan Talaulikar (ketant); Robert Raszuk
抄送: idr wg; SPRING WG; stefano previdi; Yangang; [email-masked]<mailto:[email-masked]>; Chengli (Cheng Li)
主题: Re: [spring] [Idr] Comments: Route Origin Community in SR Policy(draft-ietf-spring-segment-routing-policy)

Hi Ketan Talaulikar,

==>  Oh Yes, you are right, I made a mistake, it is redundancy at the BGP level

==> Yes, because I think for both the SR Policy component and controller  the candidate path key should be <Protocol-Origin, ASN, node-address , discriminator> , so I wish the “originator” that was reported to SR Policy component in any case.

Hi Fangsheng,

Thanks,
Ketan

Hi，

==> Yes, The word “generate” is indeed inaccurate, I mean that CSG1 finalizes the key of the candidate path, not the controller. For example, when CSG1 needs to notify the controller of the traffic statistics of each segment list, the controller cannot recognize the key of the candidate path to which these segment lists belong.

==> I think it is enough to keep the route redundant in the BGP SR Policy address family, but for the SR Policy component, because the keys of the two candidata paths are different, it does not even know that these two paths are redundant

Thx

Hi,

Thx,
R.

Hi Robert,

Thanks,
Ketan

Hi Chengli and Ketan,

       path.

+

Thx,
R.

Thanks,
Ketan

Hi authors,

Thanks,
Cheng

---

From: "Aijun Wang" <[email-masked]>
Date: Thu, 21 May 2020 22:21:18 +0800

Hi, Ketan:

If the RR does not change anything, then the originator info of SR Policy should be set by path headend (CSG1 in current scenario). 

And to accomplish this, the controller should carry it via the “Route Origin Community” when distribute such info to RR, as proposed by Fangsheng. 

Best Regards.

Aijun Wang

China Telecom

发件人: [email-masked] [mailto:[email-masked]] 代表 Ketan Talaulikar (ketant)
发送时间: 2020年5月21日 19:50
收件人: Aijun Wang; 'Fangsheng'; 'Robert Raszuk'
抄送: 'idr wg'; 'SPRING WG'; 'stefano previdi'; 'Yangang'; [email-masked]; 'Chengli (Cheng Li)'
主题: Re: [spring] [Idr] Comments: Route Origin Community in SR Policy(draft-ietf-spring-segment-routing-policy)

Hi Aijun,

Please check inline

Hi, Fangsheng and Ketan:

Thanks,

Ketan

Am I right?

Best Regards.

Aijun Wang

China Telecom

Hi Ketan Talaulikar,

 

 

 

 

 

 

Hi Fangsheng,

Thanks,

Ketan

Hi，

 

 

Thx

Hi,

Thx,
R.

 

Hi Robert,

 

 

Hi Robert,

Thanks,

Ketan

Hi Chengli and Ketan,

 

 

+

Thx,
R.

Hi Cheng,

Thanks,

Ketan

Hi authors,

Thanks,

Cheng

---

From: "Ketan Talaulikar (ketant)" <[email-masked]>
Date: Thu, 21 May 2020 14:35:02 +0000

Hi Aijun,

Yes, this is what we are discussing. However, we cannot mandate the use of Route Origin Community – it’s an option.

There are implementation specific aspects on CSG1 as well here which are outside the scope of the drafts under discussion.

Thanks,
Ketan

From: Aijun Wang <[email-masked]>
Sent: 21 May 2020 19:51
To: Ketan Talaulikar (ketant) <[email-masked]>; 'Fangsheng' <[email-masked]>; 'Robert Raszuk' <[email-masked]>
Cc: 'idr wg' <[email-masked]>; 'SPRING WG' <[email-masked]>; 'stefano previdi' <[email-masked]>; 'Yangang' <[email-masked]>; [email-masked]; 'Chengli (Cheng Li)' <[email-masked]>
Subject: 答复: [spring] [Idr] Comments: Route Origin Community in SR Policy(draft-ietf-spring-segment-routing-policy)

Hi, Ketan:

Best Regards.

Aijun Wang
China Telecom

发件人: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]] 代表 Ketan Talaulikar (ketant)
发送时间: 2020年5月21日 19:50
收件人: Aijun Wang; 'Fangsheng'; 'Robert Raszuk'
抄送: 'idr wg'; 'SPRING WG'; 'stefano previdi'; 'Yangang'; [email-masked]<mailto:[email-masked]>; 'Chengli (Cheng Li)'
主题: Re: [spring] [Idr] Comments: Route Origin Community in SR Policy(draft-ietf-spring-segment-routing-policy)

Hi Aijun,

Please check inline

From: Aijun Wang <[email-masked]<mailto:[email-masked]>>
Sent: 21 May 2020 16:25
To: 'Fangsheng' <[email-masked]<mailto:[email-masked]>>; Ketan Talaulikar (ketant) <[email-masked]<mailto:[email-masked]>>; 'Robert Raszuk' <[email-masked]<mailto:[email-masked]>>
Cc: 'idr wg' <[email-masked]<mailto:[email-masked]>>; 'SPRING WG' <[email-masked]<mailto:[email-masked]>>; 'stefano previdi' <[email-masked]<mailto:[email-masked]>>; 'Yangang' <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; 'Chengli (Cheng Li)' <[email-masked]<mailto:[email-masked]>>
Subject: 答复: [spring] [Idr] Comments: Route Origin Community in SR Policy(draft-ietf-spring-segment-routing-policy)

Hi, Fangsheng and Ketan:

Thanks,
Ketan

Am I right?

Best Regards.

Aijun Wang
China Telecom

Hi Ketan Talaulikar,

Hi Fangsheng,

Thanks,
Ketan

Hi，

Thx

Hi,

Thx,
R.

Hi Robert,

Thanks,
Ketan

Hi Chengli and Ketan,

       path.

+

Thx,
R.

Thanks,
Ketan

Hi authors,

Thanks,
Cheng

---

From: Gyan Mishra <[email-masked]>
Date: Thu, 21 May 2020 15:17:42 -0400

> requires some cost, but building redundancy in control plane pays off.

    Gyan> I agree with Robert that the additional candidate path sent by
the RR could be used for redundancy.   However, I think the context of  SR
TE is that each candidate path is a single path option not multiple as the
redundancy is provided by different candidate paths.  That is the issue I
am guessing.

>> At the same time, when CSG1 needs to announce the SR Policy information
>> to the controller through BGP LS, it needs to carry the keys of the
>> candidate path in it, and the controller cannot recognize these keys.
>>
>>
>>
>>
>>
>>
>>
>> To solve these problems,  We recommend carrying the Route Origin
>> Community (defined in RFC 4360) directly when the controller advertises BGP
>> routes.
>>
>> peer with the RR. And the RR establishes iBGP peers with the headends.. As
>> To solve these problems,  We recommend carrying the Route Origin
>> Community (defined in RFC 4360) directly when the controller advertises BGP
>> routes.  In this way, the key  of the CP is determined by the controller
>> and will not change during the advertisement of BGP routes.
>>
>>
>>
>> Thanks,
>>
>> Cheng
>>
> spring mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/spring
>
-- 

<http://www.verizon.com/>

*Gyan Mishra*

*Network Solutions A**rchitect *

*M 301 502-134713101 Columbia Pike *Silver Spring, MD

---

From: "Ketan Talaulikar (ketant)" <[email-masked]>
Date: Thu, 28 May 2020 10:32:02 +0000

Hi Gyan,

Could I refer you to the examples in https://tools.ietf.org/html/draft-filsfils-spring-sr-policy-considerations-05#section-4 as that might clarify the various options for signalling redundant information (both as different BGP NLRI, via redundant BGP paths, or via multiple protocol sources).

Thanks,
Ketan

From: Gyan Mishra <[email-masked]>
Sent: 22 May 2020 00:48
To: Robert Raszuk <[email-masked]>
Cc: Chengli (Cheng Li) <[email-masked]>; Fangsheng <[email-masked]>; Ketan Talaulikar (ketant) <[email-masked]>; SPRING WG <[email-masked]>; Yangang <[email-masked]>; [email-masked]; idr wg <[email-masked]>; stefano previdi <[email-masked]>
Subject: Re: [spring] [Idr] Comments: Route Origin Community in SR Policy(draft-ietf-spring-segment-routing-policy)

On Wed, May 20, 2020 at 8:59 AM Robert Raszuk <[email-masked]<mailto:[email-masked]>> wrote:
Hi,

    Gyan> I agree with Robert that the additional candidate path sent by the RR could be used for redundancy.   However, I think the context of  SR TE is that each candidate path is a single path option not multiple as the redundancy is provided by different candidate paths.  That is the issue I am guessing.

Thx,
R.

Hi Robert,

Thanks,
Ketan

Hi Chengli and Ketan,

       path.

+

Thx,
R.

Thanks,
Ketan

Hi authors,

In the operator's network, in order to reduce the number of  BGP sessions in controller and achieve scalability, the controller only establishes eBGP peer with the RR. And the RR establishes iBGP peers with the headends.. As mentioned in the draft, the headend will use the RR's Router ID as the CP's node-address (the signaling is done via route transmission from RR to the headend instead of route reflection).  The headend needs to carry the CP's key when reporting the SR Policy status to the controller through BGP-LS. And there is a problem that the controller may not recognize the key because the node-address is generated by the RR node.

Thanks,
Cheng
[email-masked]<mailto:[email-masked]>

[http://ss7.vzw.com/is/image/VerizonWireless/vz-logo-email]<http://www.verizon.com/>

Gyan Mishra

Network Solutions Architect

M 301 502-1347
13101 Columbia Pike
Silver Spring, MD

---

From: "Ketan Talaulikar (ketant)" <[email-masked]>
Date: Thu, 28 May 2020 10:36:37 +0000

Hello,

Wanted to share that the BGP SRTE draft has been updated to cover the possible use of Route Origin Community following this discussion.

https://tools.ietf.org/html/draft-ietf-idr-segment-routing-te-policy-09#section-2.1

Thanks,
Ketan

From: Ketan Talaulikar (ketant)
Sent: 21 May 2020 17:17
To: Fangsheng <[email-masked]>; Robert Raszuk <[email-masked]>
Cc: Chengli (Cheng Li) <[email-masked]>; [email-masked]; idr wg <[email-masked]>; SPRING WG <[email-masked]>; stefano previdi <[email-masked]>; Yangang <[email-masked]>
Subject: RE: [Idr] Comments: Route Origin Community in SR Policy(draft-ietf-spring-segment-routing-policy)

Hi Fangsheng,

From: Fangsheng <[email-masked]<mailto:[email-masked]>>
Sent: 21 May 2020 15:31
To: Ketan Talaulikar (ketant) <[email-masked]<mailto:[email-masked]>>; Robert Raszuk <[email-masked]<mailto:[email-masked]>>
Cc: Chengli (Cheng Li) <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; idr wg <[email-masked]<mailto:[email-masked]>>; SPRING WG <[email-masked]<mailto:[email-masked]>>; stefano previdi <[email-masked]<mailto:[email-masked]>>; Yangang <[email-masked]<mailto:[email-masked]>>
Subject: RE: [Idr] Comments: Route Origin Community in SR Policy(draft-ietf-spring-segment-routing-policy)

Hi Ketan Talaulikar,

Thanks,
Ketan

Hi Fangsheng,

Thanks,
Ketan

Hi，

Thx

Hi,

Thx,
R.

Hi Robert,

Thanks,
Ketan

Hi Chengli and Ketan,

       path.

+

Thx,
R.

Thanks,
Ketan

Hi authors,

Thanks,
Cheng